from cabret.utils import data_loader

def get_course_choices(event_key: str) -> dict[str,str]:
    data_zirkel = data_loader.get_zirkel_data()
    choices = {
        **{"": "Auswählen"},
        **{
            zirkel: data["descriptionRegistration"]
            for zirkel, data in data_zirkel.get(event_key, {}).items()
        }
    }
    return choices

BOOLEAN_ENUM = {
    True: "Ja",
    False: "Nein",
}

CLASS_YEAR_ENUM = {
    "": "Auswählen",
    "CLASS5": "5",
    "CLASS6": "6",
    "CLASS7": "7",
    "CLASS8": "8",
    "CLASS9": "9",
    "CLASS10": "10",
    "CLASS11": "11",
    "CLASS12": "12",
    "CLASS13": "13",
}

CLASS_YEAR_SENIOR_ENUM = {
    "": "Auswählen",
    "CLASS9": "9",
    "CLASS10": "10",
    "CLASS11": "11",
    "CLASS12": "12",
    "CLASS13": "13",
}

NUTRITION_ENUM = {
    "VEGAN": "vegan",
    "VEGETARIAN": "vegetarisch",
    "OMNIVORE": "fleischhaltig"
}

SEX_ENUM = {
    "MALE": "männlich",
    "FEMALE": "weiblich",
    "DIVERSE": "divers",
}

TRAVELTYPE_ENUM = {
    "PRIVATE": "Privat",
    "BUS": "Bus",
}

DEPARTURE_ARRANGEMENT_ENUM = {
    "SELF": "Mein Kind darf selbstständig abreisen.",
    "PICKUP": "Mein Kind wird von mir oder folgender Person abgeholt:",
}

STATISTICS_ENUM = {
    "NOT_SPECIFIED": "Keine Angabe",
    "FORMER_PARTICIPANT": "Schon mal dabei",
    "SCHOOL": "Schule",
    "FRIEND": "Freund:in",
    "ADVERTISING": "Social Media oder Zeitung",
    "OTHERS": "Sonstiges",
}

COUNTRIES = [
    "Afghanistan",
    "Ägypten",
    "Albanien",
    "Algerien",
    "Andorra",
    "Angola",
    "Antigua und Barbuda",
    "Äquatorialguinea",
    "Argentinien",
    "Armenien",
    "Aserbaidschan",
    "Äthiopien",
    "Australien",
    "Bahamas",
    "Bahrain",
    "Bangladesch",
    "Barbados",
    "Belarus",
    "Belgien",
    "Belize",
    "Benin",
    "Bhutan",
    "Bolivien, Plurinationaler Staat",
    "Bosnien und Herzegowina",
    "Botsuana",
    "Brasilien",
    "Brunei Darussalam",
    "Bulgarien",
    "Burkina Faso",
    "Burundi",
    "Cabo Verde",
    "Chile",
    "China",
    "Cookinseln",
    "Costa Rica",
    "Côte d'Ivoire",
    "Dänemark",
    "Deutschland",
    "Dominica",
    "Dominikanische Republik",
    "Dschibuti",
    "Ecuador",
    "El Salvador",
    "Eritrea",
    "Estland",
    "Eswatini",
    "Fidschi",
    "Finnland",
    "Frankreich",
    "Gabun",
    "Gambia",
    "Georgien",
    "Ghana",
    "Grenada",
    "Griechenland",
    "Guatemala",
    "Guinea",
    "Guinea-Bissau",
    "Guyana",
    "Haiti",
    "Heiliger Stuhl",
    "Honduras",
    "Indien",
    "Indonesien",
    "Irak",
    "Iran, Islamische Republik",
    "Irland",
    "Island",
    "Israel",
    "Italien",
    "Jamaika",
    "Japan",
    "Jemen",
    "Jordanien",
    "Kambodscha",
    "Kamerun",
    "Kanada",
    "Kasachstan",
    "Katar",
    "Kenia",
    "Kirgisistan",
    "Kiribati",
    "Kolumbien",
    "Komoren",
    "Kongo",
    "Kongo, Demokratische Republik",
    "Korea, Demokratische Volksrepublik",
    "Korea, Republik",
    "Kosovo",
    "Kroatien",
    "Kuba",
    "Kuwait",
    "Laos, Demokratische Volksrepublik",
    "Lesotho",
    "Lettland",
    "Libanon",
    "Liberia",
    "Libyen",
    "Liechtenstein",
    "Litauen",
    "Luxemburg",
    "Madagaskar",
    "Malawi",
    "Malaysia",
    "Malediven",
    "Mali",
    "Malta",
    "Marokko",
    "Marshallinseln",
    "Mauretanien",
    "Mauritius",
    "Mexiko",
    "Mikronesien, Föderierte Staaten von",
    "Moldau, Republik",
    "Monaco",
    "Mongolei",
    "Montenegro",
    "Mosambik",
    "Myanmar",
    "Namibia",
    "Nauru",
    "Nepal",
    "Neuseeland",
    "Nicaragua",
    "Niederlande, Königreich der",
    "Niger",
    "Nigeria",
    "Niue",
    "Nordmazedonien",
    "Norwegen",
    "Oman",
    "Österreich",
    "Pakistan",
    "Palau",
    "Panama",
    "Papua-Neuguinea",
    "Paraguay",
    "Peru",
    "Philippinen",
    "Polen",
    "Portugal",
    "Ruanda",
    "Rumänien",
    "Russische Föderation",
    "Salomonen",
    "Sambia",
    "Samoa",
    "San Marino",
    "São Tomé und Príncipe",
    "Saudi-Arabien",
    "Schweden",
    "Schweiz",
    "Senegal",
    "Serbien ",
    "Seychellen",
    "Sierra Leone",
    "Simbabwe",
    "Singapur",
    "Slowakei",
    "Slowenien",
    "Somalia",
    "Spanien",
    "Sri Lanka",
    "St. Kitts und Nevis",
    "St. Lucia",
    "St. Vincent und die Grenadinen",
    "Südafrika",
    "Sudan",
    "Südsudan",
    "Suriname",
    "Syrien, Arabische Republik",
    "Tadschikistan",
    "Tansania, Vereinigte Republik",
    "Thailand",
    "Timor-Leste",
    "Togo",
    "Tonga",
    "Trinidad und Tobago",
    "Tschad",
    "Tschechien",
    "Tunesien",
    "Türkei",
    "Turkmenistan",
    "Tuvalu",
    "Uganda",
    "Ukraine",
    "Ungarn",
    "Uruguay",
    "Usbekistan",
    "Vanuatu",
    "Vatikanstadt",
    "Venezuela, Bolivarische Republik",
    "Vereinigte Arabische Emirate",
    "Vereinigte Staaten",
    "Vereinigtes Königreich",
    "Vietnam",
    "Zentralafrikanische Republik",
    "Zypern",
]
COUNTRY_ENUM = dict(zip(COUNTRIES,COUNTRIES))
